petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatOrderingType

String with the name of a PETSc matrix ordering

### Synopsis

    typedef const char* MatOrderingType;
    #define MATORDERINGNATURAL     "natural"
    #define MATORDERINGND          "nd"
    #define MATORDERING1WD         "1wd"
    #define MATORDERINGRCM         "rcm"
    #define MATORDERINGQMD         "qmd"
    #define MATORDERINGROWLENGTH   "rowlength"
    #define MATORDERINGWBM         "wbm"
    #define MATORDERINGSPECTRAL    "spectral"
    #define MATORDERINGAMD         "amd"            /* only works if UMFPACK is installed with PETSc */

### See Also

MatGetOrdering()

Level:beginner
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages